Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.p13n.jobmanager
Enum JobDefinition.JOB_TYPE

    java.lang.Object
      java.lang.Enum<JobDefinition.JOB_TYPE>
          com.bea.p13n.jobmanager.JobDefinition.JOB_TYPE

All Implemented Interfaces
  Serializable, Comparable<JobDefinition.JOB_TYPE>

Enclosing interface:
  JobDefinition

    public static enum JobDefinition.JOB_TYPE

extends Enum<JobDefinition.JOB_TYPE>

Supported job types.

Enum Constant Summary
`CALENDAR`
`EVENT`
`INTERVAL`
`STARTUP`
`TIMER`

Method Summary
`static JobDefinition.JOB_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobDefinition.JOB_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTERVAL

    public static final JobDefinition.JOB_TYPE INTERVAL

### STARTUP

    public static final JobDefinition.JOB_TYPE STARTUP

### TIMER

    public static final JobDefinition.JOB_TYPE TIMER

### CALENDAR

    public static final JobDefinition.JOB_TYPE CALENDAR

### EVENT

    public static final JobDefinition.JOB_TYPE EVENT

Method Detail

### values

    public static final JobDefinition.JOB_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static JobDefinition.JOB_TYPE valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.